### BY ALEXARPY
# tool for checking and comparing the balance of chosen country or countries

### interdependent with the file balance_tool_list.py

class Country_options():
    """changed country"""
    def __init__(self, country, factories, arms_factories, dockyards, total_industry, country_army, country_aircraft, country_navy):
        """options"""
        self.country = country
        self.factories = factories
        self.arms_factories = arms_factories
        self.dockyards = dockyards
        self.total = total_industry
        self.army = country_army
        self.aircraft = country_aircraft
        self.navy = country_navy

    def stat(self):
        """country stat"""
        print("Country: " + self.country + "\nFactories: " + self.factories + "\nArms factories: " + self.arms_factories + "\nDockyards: " + self.dockyards + "\nTotal industry: " + self.total + "\n")

    def economic_factor(self):
        """economic competition factor"""
        economic_rating = int(self.total) + int(self.factories) - int(self.arms_factories) + int(self.dockyards) + int(self.arms_factories)
        print("Economic competition factor of country " + self.country + " is: " + str(economic_rating) + "\n")

    def fighting_efficiency(self):
        """fighting efficiency factor"""
        fighting_rating = int(self.army) + int(self.aircraft) + int(self.navy) - int(self.army)
        print("Fighting efficiency factor of country " + self.country + " is: " + str(fighting_rating) + "\n")

    def total_rating(self):
        """total rating"""
        total_rate = int(self.total + self.aircraft + self.navy + self.army) // 400000000
        print("Total rating of country " + self.country + " is: " + str(total_rate) + "\n")

    def all(self):
        """all options that be here"""
        print("Country: " + self.country + "\nFactories: " + self.factories + "\nArms factories: " + self.arms_factories + "\nDockyards: " + self.dockyards + "\nTotal industry: " + self.total + "\n")
        economic_rating = int(self.total) + int(self.factories) - int(self.arms_factories) + int(self.dockyards) + int(self.arms_factories)
        print("Economic competition factor of country " + self.country + " is: " + str(economic_rating) + "\n")
        fighting_rating = int(self.army) + int(self.aircraft) + int(self.navy) - int(self.army)
        print("Fighting efficiency factor of country " + self.country + " is: " + str(fighting_rating) + "\n")
        total_rate = int(self.total + self.aircraft + self.navy + self.army) // 400000000
        print("Total rating of country " + self.country + " is: " + str(total_rate) + "\n")